# OpalPluginTranscoder Class Reference

`#include <opalpluginmgr.h>`

Inheritance diagram for OpalPluginTranscoder:

List of all members.

## Public Member Functions

| OpalPluginTranscoder (const PluginCodec_Definition *defn, PBoolean isEnc)
| ~OpalPluginTranscoder ()
bool | UpdateOptions (const OpalMediaFormat &fmt)
PBoolean | Transcode (const void *from, unsigned *fromLen, void *to, unsigned *toLen, unsigned *flags) const

## Protected Attributes

const PluginCodec_Definition * | codecDef
PBoolean | isEncoder
void * | context
OpalPluginControl | setCodecOptions
OpalPluginControl | getOutputDataSizeControl

## Constructor & Destructor Documentation

OpalPluginTranscoder::OpalPluginTranscoder | ( | const PluginCodec_Definition * | defn,
|  | PBoolean | isEnc |
| ) |  |  |

OpalPluginTranscoder::~OpalPluginTranscoder | ( |  | ) |

## Member Function Documentation

bool OpalPluginTranscoder::UpdateOptions | ( | const OpalMediaFormat & | fmt | ) |

PBoolean OpalPluginTranscoder::Transcode | ( | const void * | from,
|  | unsigned * | fromLen,
|  | void * | to,
|  | unsigned * | toLen,
|  | unsigned * | flags |
| ) |  |  | const`[inline]`

## Member Data Documentation

const PluginCodec_Definition* OpalPluginTranscoder::codecDef `[protected]`

PBoolean OpalPluginTranscoder::isEncoder `[protected]`

void* OpalPluginTranscoder::context `[protected]`

OpalPluginControl OpalPluginTranscoder::setCodecOptions `[protected]`

OpalPluginControl OpalPluginTranscoder::getOutputDataSizeControl `[protected]`

The documentation for this class was generated from the following file:

- opalpluginmgr.h